Agent Email
Show agent email usage
GET /v1/agent-email/usage · SDK getAgentEmailUsage · CLI deployments email-usage show
GET
Requires agent-email:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
from?stringFormat
date-timeinboxId?stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$to?stringFormat
date-timex-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$AgentEmailUsageSummaryResponse
application/json- response
attachmentBytes*integerRange
0 <= value <= 9007199254740991from*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeinboundMessages*integerRange
0 <= value <= 9007199254740991organizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$outboundMessages*integerRange
0 <= value <= 9007199254740991storedBytes*integerRange
0 <= value <= 9007199254740991to*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecurl -X GET "https://example.com/v1/agent-email/usage" \ -H "x-deployments-environment: string"{ "attachmentBytes": 0, "from": "2019-08-24T14:15:22Z", "inboundMessages": 0, "organizationId": "string", "outboundMessages": 0, "storedBytes": 0, "to": "2019-08-24T14:15:22Z"}